package com.jianshui.web.controller.system;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;
import com.jianshui.common.config.JianshuiConfig;
import com.jianshui.common.utils.StringUtils;

/**
 * 首页
 *
 * @author 简税平台
 */
@RestController
public class SysIndexController
{
    /** 系统基础配置 */
    @Autowired
    private JianshuiConfig jianshuiConfig;

    /**
     * 访问首页，提示语
     */
    @RequestMapping("/")
    public String index()
    {
        return StringUtils.format("系统");
    }
}
