package com.jianshui.common.constant;

/**
 * @Author: xinzge
 * @Description: 用户登记信息常量类
 * @CreateTime: 2023-06-06  13:35
 * @Version: 1.0
 **/
public class InvoiceCommonConstants {
    /**
     * 异步
     */
    public final static String ASYNC = "true";

    /**
     * 同步
     */
    public final static String SYNC = "false";
    /**
     * 信息为空
     */
    public final static String INVOICEINFORMATIONISEMPTY = "未传入发票信息，请检查!";
    /**
     * 未查询到登记信息
     */
    public final static String NOINFORMATIONISFOUND = "未查询到登记信息!";

    /**
     * 开票日期格式
     */
    public final static String DATEFORMAT = "yyyyMMddHHmmss";

    /**
     * 发票号码
     */
    public final static String FPHM = "fphm";


    /**
     * 开票日期
     */
    public final static String KPRQ = "kprq";

    /**
     * 响应码
     */
    public final static String CODE = "code";

    /**
     * 错误信息
     */
    public final static String MSG = "msg";


    /**
     * 响应数据
     */
    public final static String DATA = "data";

    /**
     * 成功响应状态码
     */
    public final static String SUCCESSCODE = "0000";

    /**
     * pdf地址
     */
    public final static String PDFURL = "pdfUrl";


    /**
     * 发票下载地址错误
     */
    public final static String DOWNLOADADDRESSERROR = "获取发票下载地址错误!";

    /**
     * 下载成功
     */
    public final static String DOWNLOADSUCCESSCODE = "下载成功!";

    /**
     * ofd地址
     */
    public final static String OFDURL = "ofdUrl";

    /**
     * pdf状态
     */
    public final static String PDFSTATUS = "0";

    /**
     * ofd状态
     */
    public final static String OFDSTATUS = "1";

    /**
     * 未查询到企业信息
     */
    public final static String NOTCOMPANYINFO = "未查询到企业相关信息！";

    /**
     * 未查询到发票信息
     */
    public final static String NOTINVOICEINFO = "未查询到发票信息！";
}
