package com.jianshui.income.domain.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotEmpty;

@ApiModel(value = "IncomeResetPasswordDTO",description ="重置密码入参")
@Data
public class IncomeResetPasswordDTO {

    @ApiModelProperty(value = "税号")
    @NotEmpty(message = "税号不能为空")
    private String SBH;
}
