package com.jianshui.income.domain.dto;

import com.alibaba.fastjson.annotation.JSONField;
import lombok.Data;

import java.util.Date;

/**
 * @ClassName MasterInformationDTO
 * @Description W
 * @Author pc
 * @Date 2022-05-30 9:53
 **/
@Data
public class MasterInformationDTO {
    @JSONField(name = "GMFSBH")
    private String GMFSBH; // 购方税号

    @JSONField(name = "PCH")
    private String PCH; // 批次号

    @JSONField(name = "CJKSRQ")
    private Date CJKSRQ; // 发票采集 开始时间

    @JSONField(name = "CJJSRQ")
    private Date CJJSRQ; // 发票采集 结束时间

    @JSONField(name = "KSHS")
    private Integer KSHS; // 开始行数 整数,第一次请求时为 1.(若本次返回行数小于总行数，需再次请求，开始行数为 本次返回行数+ 1.类似分页获取

    @JSONField(name = "ZTBZ")
    private String ZTBZ; // 状态标志 当给 1 时继续请求，0 时结束请求
}
