package com.jianshui.income.domain.dto.elephant;

import com.jianshui.income.domain.entity.IncomeInvoiceAuth;
import lombok.Data;

import java.util.List;

/**
 * 全票面采集发票返回dto，共有部分
 * @author xkng
 * @date 2022/9/14 20:22
 * @return null
 */
@Data
public class GetInvoiceRespCommonDTO<T> {

    private String ZTDM; // 状态代码
    private String ZTXX; // 状态信息
    private String FPLXDM; // 发票类型代码 增值税专用发票：01增值税电子专用发票：08 电子发票（增值税专用发票）：31
    private int ZHS; // 总行数
    private int KSHS; // 开始行数
    private int BCQQFHHS; // 本次请求返回行数
    private List<IncomeInvoiceAuth> FPZHXX; // 发票信息列表
}
