package com.jianshui.income.domain.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@ApiModel( description ="获取企业档案接口入参")
@Data
public class IncomeGetCompanyInfoVO {


    @ApiModelProperty(value = "当前税号")
    private String GMFSBH;

    @ApiModelProperty(value = "旧税号")
    private String JGMFSBH;

    @ApiModelProperty(value = "企业名")
    private String GMFMC;

    @ApiModelProperty(value = "当前税款所属期")
    private String DQSKSSQ;

    @ApiModelProperty(value = "勾选开始日期")
    private String GXRQQ;

    @ApiModelProperty(value = "勾选结束日期")
    private String GXRQZ;

    @ApiModelProperty(value = "所属期结束日期")
    private String GXJZR;

    @ApiModelProperty(value = "企业信用等级")
    private String QYXYDJ;

    @ApiModelProperty(value = "申报周期")
    private String SBZQ;

    @ApiModelProperty(value = "公司类型")
    private String GSLX;

    @ApiModelProperty(value = "油类企业类型")
    private String YLQYLX;

    @ApiModelProperty(value = "纳税人资格")
    private String NSRZG;

    @ApiModelProperty(value = "档案同步时间")
    private String DATBSJ;

    @ApiModelProperty(value = "所属期-申报状态；自然月-申报状态")
    private String SSQSBZT;






}
