package com.jianshui.invoiceall.domain.dto.jcsk.red;

import lombok.Data;

import javax.validation.constraints.NotEmpty;
import java.io.Serializable;
import java.util.Date;
import java.math.BigDecimal;

@Data
public class AddRedInvoiceDTO {
    @NotEmpty(message = "发票类型代码不能为空")
    private String fplxdm; // 发票类型代码

    @NotEmpty(message = "发票请求流水号不能为空")
    private String fpqqlsh; // 发票请求流水号

    @NotEmpty(message = "原发票类型代码不能为空")
    private String yfplxdm; // 原发票类型代码

    @NotEmpty(message = "原全电发票号码不能为空")
    private String yfphm; // 原全电发票号码

    @NotEmpty(message = "红字发票信息确认单id不能为空")
    private String hzfpxxqrdid; // 红字发票信息确认单id

    @NotEmpty(message = "销方税号不能为空")
    private String xsfnsrsbh; // 销方税号

    private String ytdyslxdm; // 原特定要素类型代码
}