package com.jianshui.invoice.domain.dto.adapter.request.nuonuo2;

import com.alibaba.fastjson.annotation.JSONField;
import com.jianshui.common.annotation.Excel;
import com.jianshui.invoice.domain.BillDetail;
import lombok.Data;

import java.math.BigDecimal;

/**
 * @Description
 * @Author 巩权林
 * @Date 2022/4/13 16:32
 **/
@Data
public class Nuonuo2BillDetailDTO {

    /**
     * 商品名称
     */
    @JSONField(name = "goodsName")
    private String goodName;

    /**
     * 商品数量
     */
    @JSONField(name = "num")
    private BigDecimal num;

    /**
     * 商品单价
     */
    @JSONField(name = "price")
    private BigDecimal price;

    /**
     * 含税标志
     */
    @JSONField(name = "withTaxFlag")
    private Integer hsbz;

    /**
     * 税率
     */
    @JSONField(name = "taxRate")
    private BigDecimal taxrate;

    /**
     * 规格型号
     */
    @JSONField(name = "specType")
    private String spec;

    /**
     * 单位
     */
    @JSONField(name = "unit")
    private String unit;

    /**
     * 税收分类编码
     */
    @JSONField(name = "goodsCode")
    private String spbm;

    /**
     * 商品编码版本号
     */
    // private String bmbbh;

    /**
     * 自行编码
     */
    @JSONField(name = "selfCode")
    private String zsbm;

    /**
     * 发票行性质
     */
    @JSONField(name = "invoiceLineProperty")
    private Integer fphxz;

    /**
     * 优惠政策标识
     */
    @JSONField(name = "favouredPolicyFlag")
    private Integer yhzcbs;

    /**
     * 增值税特殊管理
     */
    @JSONField(name = "favouredPolicyName")
    private String zzstsgl;

    /**
     * 零税率标识
     */
    @JSONField(name = "zeroRateFlag")
    private String lslbs;

    /**
     * 扣除额
     */
    @JSONField(name = "deduction")
    private BigDecimal kce;

    /**
     * 不含税金额
     */
    @JSONField(name = "taxExcludedAmount")
    private BigDecimal taxfreeamt;

    /**
     * 税额
     */
    @JSONField(name = "tax")
    private BigDecimal tax;

    /**
     * 含税金额
     */
    @JSONField(name = "taxIncludedAmount")
    private BigDecimal taxamt;

    /**
     * 特殊票种
     */
    // private String tspz;

}
