package com.jianshui.invoice.domain.dto.adapter.response;

import com.alibaba.fastjson.annotation.JSONField;
import com.fasterxml.jackson.annotation.JsonIgnore;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.jianshui.common.annotation.Excel;
import com.jianshui.invoice.domain.Redinfo;
import com.jianshui.invoice.domain.Redinfodetail;
import lombok.Data;

import java.util.Date;
import java.util.List;
import java.util.Map;

/**
 * @Description
 * @Author 巩权林
 * @Date 2022/4/17 21:04
 **/
@Data
public class RedInfoDTO extends Redinfo {
    @JsonIgnore
    @JSONField(serialize = false)
    private Long id;
    @JsonIgnore
    @JSONField(serialize = false)
    private Long companyId;
    @JsonIgnore
    @JSONField(serialize = false)
    private String systemOrderno;
    @JsonIgnore
    @JSONField(serialize = false)
    private String outTradeOrderno;
    @JsonIgnore
    @JSONField(serialize = false)
    private String fpqqlsh;
    @JsonIgnore
    @JSONField(serialize = false)
    private Long billInfoId;
    @JsonIgnore
    @JSONField(serialize = false)
    private String searchValue;
    @JsonIgnore
    @JSONField(serialize = false)
    private String createBy;
    @JsonIgnore
    @JSONField(serialize = false)
    private Date createTime;
    @JsonIgnore
    @JSONField(serialize = false)
    private String updateBy;
    @JsonIgnore
    @JSONField(serialize = false)
    private Date updateTime;
    @JsonIgnore
    @JSONField(serialize = false)
    private String remark;
    @JsonIgnore
    @JSONField(serialize = false)
    private Map<String, Object> params;
    @JsonIgnore
    @JSONField(serialize = false)
    private List<Redinfodetail> redinfodetailList;
    @JsonIgnore
    @JSONField(serialize = false)
    private String serviceSupplierKey;

    @JSONField(name = "details")
    private List<RedInfoDetailDTO> myRedinfodetailList;
}
