package com.jianshui.invoice.domain.dto.api;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotEmpty;

/**
 * 查询红字信息表
 * @author dxk
 * @date 2022年12月09日 17:16
 */
@Data
public class InvoiceAllCxhzTWODTO {

    @NotEmpty
    @ApiModelProperty(value = "true")
    private String async;

    @NotEmpty
    @ApiModelProperty(value = "办税人身份证号")
    private String bsrysfzjhm;

    @NotEmpty
    @ApiModelProperty(value = "地区编码(参考码表)")
    private String dqbm;

    @NotEmpty
    @ApiModelProperty(value = "纳税人识别号")
    private String nsrsbh;


    private InvoiceAllCxhzJsonDataTWODTO jsonData;


}
