package com.jianshui.invoice.domain.dto.api;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;

/**
 * 获取发票打印xml
 */
@Data
public class InvoiceAllPrintXMLTWODTO {

    @NotEmpty
    @ApiModelProperty(value = "打印类型")
    private String dylx;

    @NotEmpty
    @ApiModelProperty(value = "发票号码")
    private String fphm;

    @ApiModelProperty(value = "红字确认单编号")
    @NotEmpty
    private String  hzqrdbh;

    @NotEmpty
    @ApiModelProperty(value = "纳税人识别号")
    private String nsrsbh;


}
