package com.jianshui.invoice.domain.dto.api.elephant.sd;


import cn.hutool.core.annotation.Alias;
import lombok.Data;

import java.util.List;

/**
 * 红字确认单申请
 */
@Data
public class RedUpload {


    // 录入方身份
    @Alias("sqlb")
    private String LRFSF;

    @Alias("sellerTaxnum")
    // 销售方纳税人识别号
    private String XSFNSRSBH;

    @Alias("sellerName")
    // 销售方名称
    private String XSFMC;

    @Alias("buyerTaxnum")
    // 购买方纳税人识别号
    private String GMFNSRSBH;

    @Alias("buyerName")
    // 购买方名称
    private String GMFMC;

    @Alias("originFpdm")
    // 蓝字发票代码
    private String LZFPDM;

    @Alias("originFphm")
    // 蓝字发票号码
    private String LZFPHM;

    // 是否纸质发票标志
    private String SFZZFPBZ;

    @Alias("originKprq")
    // 蓝字发票开票日期
    private String LZKPRQ;

    // 蓝字发票合计金额
    private String LZHJJE;

    // 蓝字发票合计税额
    private String LZHJSE;

    // 蓝字发票票种代码
    private String LZFPPZDM;

    // 蓝字发票特定要素类型代码
    private String LZFPTDYSLXDM;

    // 数电蓝字发票号码
    private String LZFPQDHM;

    @Alias("taxamt")
    // 红字冲销金额
    private String HZCXJE;

    @Alias("tax")
    // 红字冲销税额
    private String HZCXSE;

    @Alias("applyRemark")
    // 红字发票冲红原因代码
    private String CHYYDM;



    List<HZQRDMXLIST> HZQRDMXLIST;





}
