package com.jianshui.invoice.domain.vo.api.aisino.console;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotEmpty;

/**
 * User: yuze
 * Date: 2023/2/28
 * Time: 15:24
 * Description: AisinoConsoleRedDownloadChildVO
 */
@Data
public class AisinoConsoleRedDownloadChildVO {

    @NotEmpty
    @ApiModelProperty(value = "商品名称带加简称")
    private String GoodsName;

    @NotEmpty
    @ApiModelProperty(value = "计量单位")
    private String GoodsUnit;

    @NotEmpty
    @ApiModelProperty(value = "单价")
    private String GoodsPrice;

    @NotEmpty
    @ApiModelProperty(value = "税率")
    private String GoodsTaxRate;

    @NotEmpty
    @ApiModelProperty(value = "规格型号")
    private String GoodsGgxh;

    @NotEmpty
    @ApiModelProperty(value = "数量")
    private String GoodsNum;

    @NotEmpty
    @ApiModelProperty(value = "金额")
    private String GoodsJE;

    @NotEmpty
    @ApiModelProperty(value = "税额")
    private String GoodsSE;

    @NotEmpty
    @ApiModelProperty(value = "N")
    private String HS_BZ;

    @NotEmpty
    @ApiModelProperty(value = "商品税收分类编码")
    private String SPBM;

    @NotEmpty
    @ApiModelProperty(value = "商品企业自编码")
    private String QYSPBM;

    @NotEmpty
    @ApiModelProperty(value = "是否使用优惠政策标识0")
    private String SYYHZCBZ;

    @NotEmpty
    @ApiModelProperty(value = "零税率标识")
    private String LSLBZ;


}
