package com.jianshui.invoice.domain.vo.api.aisino.console;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotEmpty;

/**
 * User: kk
 */
@Data
public class AisinoConsoleRedDownloadVO {
    @NotEmpty
    @ApiModelProperty(value = "24位申请单号")
    private String ReqBillNo;

    @NotEmpty
    @ApiModelProperty(value = "信息表编号")
    private String ResBillNo;

    @NotEmpty
    @ApiModelProperty(value = "信息表状态代码")
    private String StatusDM;

    @NotEmpty
    @ApiModelProperty(value = "信息表状态描述")
    private String StatusMC;

    @NotEmpty
    @ApiModelProperty(value = "信息表类型")
    private String BillType;

    @NotEmpty
    @ApiModelProperty(value = "对应蓝票代码")
    private String TypeCode;

    @NotEmpty
    @ApiModelProperty(value = "对应蓝票号码")
    private String InvNo;

    @NotEmpty
    @ApiModelProperty(value = "税种类别")
    private String Szlb;

    @NotEmpty
    @ApiModelProperty(value = "多税率标志")
    private String IsMutiRate;

    @NotEmpty
    @ApiModelProperty(value = "填开日期")
    private String Date;

    @NotEmpty
    @ApiModelProperty(value = "购方名称")
    private String BuyerName;

    @NotEmpty
    @ApiModelProperty(value = "购方税号")
    private String BuyTaxCode;

    @NotEmpty
    @ApiModelProperty(value = "购方地址电话")
    private String BuyerAdd;

    @NotEmpty
    @ApiModelProperty(value = "购方银行账号")
    private String BuyerBank;

    @NotEmpty
    @ApiModelProperty(value = "销方名称")
    private String SellerName;

    @NotEmpty
    @ApiModelProperty(value = "销方税号")
    private String SellTaxCode;

    @NotEmpty
    @ApiModelProperty(value = "合计金额")
    private String Amount;

    @NotEmpty
    @ApiModelProperty(value = "税率")
    private String TaxRate;

    @NotEmpty
    @ApiModelProperty(value = "合计税额")
    private String Tax;

    @NotEmpty
    @ApiModelProperty(value = "申请说明")
    private String ReqMemo;

    @NotEmpty
    @ApiModelProperty(value = "商品编码版本号")
    private String SPBMBBH;

    @NotEmpty
    @ApiModelProperty(value = "含税税率标识")
    private String SLBZ;

    @NotEmpty
    @ApiModelProperty(value = "异地代开")
    private String YDDK;

    @NotEmpty
    @ApiModelProperty(value = "代开比对标识")
    private String DKBDBS;

    @NotEmpty
    @ApiModelProperty(value = "")
    private String RedInvReqBillMx;
}
