package com.jianshui.invoice.domain.vo.jcsk;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotEmpty;

/**
 * 蓝字发票开具VO
 * @author kk
 * @date 2022年12月13日 11:35
 */
@Data
public class AddInvoiceTWOVO {

    @NotEmpty
    @ApiModelProperty(value = "全电发票号码")
    private String fphm;

    @NotEmpty
    @ApiModelProperty(value = "开票日期")
    private String kprq;

    @NotEmpty
    @ApiModelProperty(value = "全电纸质发票代码")
    private String zzfpdm;

    @NotEmpty
    @ApiModelProperty(value = "全电纸质发票号码")
    private String zzfphm;

    @ApiModelProperty(value = "二维码下载地址")
    private String ewmUrl;

    @ApiModelProperty(value = "PDF格式下载地址")
    private String pdfUrl;

    @ApiModelProperty(value = "OFD格式下载地址")
    private String ofdUrl;

    @ApiModelProperty(value = "XML格式下载地址")
    private String xmlUrl;










}
