package com.jianshui.platform.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotEmpty;

/**
 * @Author: kane
 * @Description: 发票下载信息
 * @CreateTime: 2023-06-11  12:54
 * @Version: 1.0
 **/
@ApiModel("发票下载")
@Data
public class DownLoadDTO {

    @ApiModelProperty(value = "发票号码")
    private String fphm;

    @NotEmpty
    @ApiModelProperty(value = "发票下载地址")
    private String url;
}
