package com.jianshui.platform.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotEmpty;
import java.util.List;

/**
 * @Author: xingze
 * @Description: 发票交付类
 * @CreateTime: 2023-06-06  10:32
 * @Version: 1.0
 **/
@ApiModel("发票交付")
@Data
public class InvoiceDeliveryDTO {
    @NotEmpty
    @ApiModelProperty(value = "true")
    private String async;

    @NotEmpty
    @ApiModelProperty(value = "办税人身份证号")
    private String bsrysfzjhm;

    @NotEmpty
    @ApiModelProperty(value = "*地区编码(参考码表)")
    private String dqbm;

    @NotEmpty
    @ApiModelProperty(value = "*纳税人识别号")
    private String nsrsbh;

    private InvoiceDeliveryJsonDataDTO jsonData;
}
