package com.jianshui.platform.dto.invoicered;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import javax.validation.constraints.NotEmpty;

/**
 * @Author: kane
 * @Description: 红字信息选择类
 * @CreateTime: 2023-06-21  15:14
 * @Version: 1.0
 **/
@Data
@ApiModel("红字信息选择")
public class RedWordSelectionDTO {

    @NotEmpty
    @ApiModelProperty("发票类型 s-专用发票")
    private String fplx;

    @NotEmpty
    @ApiModelProperty("申请类型 0-销方 1-购方已抵扣 2-购方未抵扣")
    private String sqlx;

    @ApiModelProperty("发票代码")
    private String fpdm;

    @ApiModelProperty("发票号码")
    private String fphm;

    @ApiModelProperty("开票时间")
    private String kprq;


}
