package com.jianshui.platform.service;

import com.jianshui.common.core.domain.AjaxResult;
import com.jianshui.platform.dto.InvoiceDeliveryJsonDataDTO;

import java.util.List;

/**
 * @Author: xinzge
 * @Description: 发票交付service接口
 * @CreateTime: 2023-06-06  10:29
 * @Version: 1.0
 **/
public interface InvoiceDeliveryService {

    /**
     * 功能描述: 发票交付
     * @param dtos 多张（单张）交付信息
     * @return : com.jianshui.invoice.domain.dto.HXResponse
     */
    AjaxResult invoiceDelivery(List<InvoiceDeliveryJsonDataDTO> dtos);
}
