package com.jianshui.platform.service;

import javax.servlet.http.HttpServletResponse;

/**
 * @Author: kane
 * @Description: 发票下载业务层
 * @CreateTime: 2023-06-08  14:36
 * @Version: 1.0
 **/
public interface InvoiceDownloadService {

    /**
     * 功能描述: 发票（pdf版）下载
     * @param ids
     * @param response
     * @return : java.lang.Object
     */
    Object dowmLoadPdf(Long[] ids, HttpServletResponse response);

    /**
     * 功能描述: 发票（ofd版）下载
     * @param ids
     * @param response
     * @return : java.lang.Object
     */
    Object dowmLoadOfd(Long[] ids, HttpServletResponse response);

}
