package com.jianshui.platform.service;

import com.jianshui.common.core.domain.AjaxResult;
import com.jianshui.platform.dto.TaxCalculateDTO;

/**
 * @Author: kane
 * @Description: 金额税额计算业务类
 * @CreateTime: 2023-06-07  17:42
 * @Version: 1.0
 **/
public interface TaxCalculateService {
    /**
     * 功能描述: 金额税额计算
     * @param taxCalculateDTO
     * @return : com.jianshui.common.core.domain.AjaxResult
     */
    AjaxResult taxCalculate(TaxCalculateDTO taxCalculateDTO);
}
