package com.jianshui.common.exception.jianshui;

import lombok.Getter;

/**
 * @Description 服务过期异常
 * @Author 巩权林
 * @Date 2022/3/5 20:47
 **/
@Getter
public class JianshuiServiceExpireException extends JianshuiServiceException {

    // 服务名称
    private String serviceKey;

    // 销方id
    private Long companyId;

    public JianshuiServiceExpireException(String msg, String serviceKey, Long companyId) {
        super(msg);
        this.serviceKey = serviceKey;
        this.companyId = companyId;
    }
}
