package com.jianshui.income.domain.entity;

import java.io.Serializable;
import java.util.Date;

import lombok.Data;

/**
 * income_srm
 *
 * @author
 */
@Data
public class IncomeSrm implements Serializable {
    private Long id;

    private Long companyid;

    /**
     * 批次号
     */
    private String pch;

    /**
     * SRM发送的原始报文
     */
    private String request;

    /**
     * 给SRM回复的报文
     */
    private String response;

    /**
     * 状态，0未处理，1已回复
     */
    private Integer status;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 更新时间
     */
    private Date updateTime;

    private static final long serialVersionUID = 1L;
}