package com.jianshui.income.domain.entity;

import lombok.Data;

/**
 * @Description invoice 二手车
 * @Author 巩权林
 * @Date 2021/4/16 10:34
 **/
@Data
public class InvoiceCheckUsedCar {
    // invoice_check表的id
    private int invoice_check_id;
    // 车牌照号  二手车发票返回信息
    private String cpzh;
    // 登记证号  二手车发票返回信息
    private String djzh;
    // 车价合计  二手车发票返回信息
    private String cjhj;
    // 转入地车辆车管所名称  二手车发票返回信息
    private String zrdcgsmc;
    // 买方单位/个人  二手车发票返回信息
    private String mfdwgr;
    // 买方单位代码/身份证号  二手车发票返回信息
    private String mfdwdmsfzh;
    // 买方单位/个人住址  二手车发票返回信息
    private String mfdwgrdz;
    // 买方电话  二手车发票返回信息
    private String mfdh;
    // 卖方单位/个人  二手车发票返回信息
    private String smfdwgr;
    // 卖方单位代码/身份证号  二手车发票返回信息
    private String smfdwdmsfzh;
    // 卖方单位/个人住址  二手车发票返回信息
    private String smfdwgrzz;
    // 卖方电话  机动车、二手车发票返回信息
    private String smfdh;
    // 经营、拍卖单位  二手车发票返回信息
    private String jypmdw;
    // 经营、拍卖单位地址  二手车发票返回信息
    private String jypmdwdz;
    // 经营、拍卖单位纳税人识别号  二手车发票返回信息
    private String jypmdwzsbh;
    // 开户银行及账号  二手车发票返回信息
    private String khyhjzh;
    // 经营、拍卖单位电话  二手车发票返回信息
    private String jypmdwdh;
    // 二手车市场  二手车发票返回信息
    private String escsc;
    // 二手车市场纳税人识别号  二手车发票返回信息
    private String escscsbh;
    // 二手车市场地址  二手车发票返回信息
    private String escscdz;
    // 二手车市场开户银行及账号  二手车发票返回信息
    private String escsckhyhzh;
    // 二手车市场电话  二手车发票返回信息
    private String escscdh;
    // 车辆识别代号/车架号码  机动车、二手车发票返回该信息
    private String clsbh;
    // 车辆类型  机动车、二手车发票返回该信息
    private String cllx;
    //  厂牌型号  机动车、二手车发票返回该信息
    private String cpxh;
}
