package com.jianshui.invoiceall.domain.dto;

import com.jianshui.invoiceall.domain.dto.jcsk.KshcJsonDataDTO;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;

/**
 * 快速红冲
 */
@Data
public class InvoiceAllKshcDTO {


    @NotEmpty
    @ApiModelProperty(value = "办税人身份证号")
    private String bsrysfzjhm;

    @NotEmpty
    @ApiModelProperty(value = "地区编码(参考码表)")
    private String dqbm;

    @ApiModelProperty(value = "true本接口不支持同步")
    @NotNull
    private Boolean async;

    @NotEmpty
    @ApiModelProperty(value = "纳税人识别号")
    private String nsrsbh;

    @NotEmpty
    private InvoiceAllKshcJsonDataDTO jsonData;



}
