package com.jianshui.invoiceall.domain.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotEmpty;

/**
 * 审核红字信息表
 * @author dxk
 * @date 2022年12月09日 17:16
 */
@Data
public class InvoiceAllShhzJsonDataDTO {

    @NotEmpty
    @ApiModelProperty(value = "确认类型")
    private String qrlx;

    @NotEmpty
    @ApiModelProperty(value = "红字发票信息确认单id")
    private String hzfpxxqrdid;

    @NotEmpty
    @ApiModelProperty(value = "销方纳税人识别号")
    private String xsfnsrsbh;



}
