package com.jianshui.invoiceall.domain.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotEmpty;

/**
 * 篮子发票开具vo
 * @author kk
 * @date 2022年12月13日 11:35
 */
@Data
public class InvoiceAllAddInvoiceVO {

    @NotEmpty
    @ApiModelProperty(value = "全电发票号码")
    private String fphm;

    @NotEmpty
    @ApiModelProperty(value = "开票日期")
    private String kprq;

    @NotEmpty
    @ApiModelProperty(value = "全电纸质发票代码")
    private String zzfpdm;

    @NotEmpty
    @ApiModelProperty(value = "全电纸质发票号码")
    private String zzfphm;

}
