package com.jianshui.invoiceall.domain.vo;

import com.jianshui.invoiceall.domain.dto.InvoiceAllRedInvoiceDetailJsonDataDTO;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotEmpty;
import java.util.List;

/**
 * 查询红字信息表明细
 * @author dxk
 * @date 2022年12月09日 17:16
 */
@Data
public class InvoiceAllRedInvoiceDetailVO {

    @NotEmpty
    @ApiModelProperty(value = "冲红原因代码")
    private String chyydm;

    @NotEmpty
    @ApiModelProperty(value = "发票来源代码")
    private String fplydm;

    @NotEmpty
    @ApiModelProperty(value = "购买方名称")
    private String gmfmc;

    @NotEmpty
    @ApiModelProperty(value = "购买方税号")
    private String gmfnsrsbh;

    @NotEmpty
    @ApiModelProperty(value = "红字发票号码")
    private String hzfphm;

    @NotEmpty
    @ApiModelProperty(value = "红字发票信息确认单编号")
    private String hzfpxxqrdbh;

    @NotEmpty
    @ApiModelProperty(value = "红字发票信息确认单id")
    private String hzfpxxqrdid;

    @NotEmpty
    @ApiModelProperty(value = "红字合计金额")
    private String hzhjje;

    @NotEmpty
    @ApiModelProperty(value = "红字合计税额")
    private String hzhjse;

    @NotEmpty
    @ApiModelProperty(value = "红字开票日期")
    private String hzkprq;

    @NotEmpty
    @ApiModelProperty(value = "红字发票信息确认单状态代码")
    private String hzqrxxztdm;

    @NotEmpty
    @ApiModelProperty(value = "蓝字发票号码")
    private String lzfphm;

    @NotEmpty
    @ApiModelProperty(value = "蓝字发票类型代码")
    private String lzfplxdm;

    @NotEmpty
    @ApiModelProperty(value = "蓝字合计金额")
    private String lzhjje;

    @NotEmpty
    @ApiModelProperty(value = "蓝字合计税额")
    private String lzhjse;

    @NotEmpty
    @ApiModelProperty(value = "蓝字开票日期")
    private String lzkprq;

    @NotEmpty
    @ApiModelProperty(value = "申请来源")
    private String sqly;

    @NotEmpty
    @ApiModelProperty(value = "销售方名称")
    private String xsfmc;

    @NotEmpty
    @ApiModelProperty(value = "销售方纳税人识别号")
    private String xsfnsrsbh;


    private List<InvoiceAllRedInvoiceDetailChildVO> hzqrxxmxList;



}
