package com.jianshui.invoice.constant.elephant;

/**
 * @Description 大象常量
 * @Author 巩权林
 * @Date 2022-03-24 11:33
 **/
public class ElephantConstantsV6 {

    // token redis key
    public static String TOKEN_REDIS_KEY = "elephant_invoice_token";

    // 测试的域名
    public static String DEV_HOST = "https://sandbox.zncspt.com/api/";
    public static String DEV_ELECLOUD_HOST = "https://sandbox.ele-cloud.com/api/";
    public static String DEV_HOST_LOCAL = "http://140.143.226.17:8087/order-api";
    public static String DEV_HOST_LOCAL_v6_JingDongYun = "https://js.ele12.com/order-api";

    // 生产的域名
    public static String PROD_HOST = "https://openapi.zncspt.com/api/";

    public static String PROD_ELECLOUD_HOST = "https://openapi.ele-cloud.com/api/";

    public static String PROD_HOST_LOCAL = "http://140.143.226.17:8087/order-api";
    public static String PROD_HOST_LOCAL_v6_JingDongYun = "https://js.ele12.com/order-api";

    // 测试的获取token的域名
    public static String DEV_TOKEN_HOST = "https://sandbox.zncspt.com/api/authen/token";
    // 生产的获取token的域名
    public static String PROD_TOKEN_HOST = "https://openapi.zncspt.com/api/authen/token";

    // 发票开具冲红                      
    public static String ADD_INVOICE = "order-api/v6/GenerateQdInvoice";
    public static String ADD_INVOICE_LOCALHOST = "/invoice/api/v6/GenerateQdInvoice";
    public static String ADD_INVOICE_METHOD = "GenerateQdInvoice";

    public static String GENERATE_QD_HWYS_INVOICE = "/invoice/api/v6/GenerateQdHwysInvoice";
    public static String GENERATE_QD_BDCXS_INVOICE = "/invoice/api/v6/GenerateQdBdcxsInvoice";
    public static String GENERATE_QD_JZFW_INVOICE = "/invoice/api/v6/GenerateQdJzfwInvoice";
    public static String GENERATE_QD_BDXZL_INVOICE = "/invoice/api/v6/GenerateQdBdczlInvoice";

    // 发票开票结果拉取
    public static String ADD_INVOICE_RESULT = "order-api/order-api/v6/GetOrderInfoAndInvoiceInfo";
    public static String ADD_INVOICE_RESULT_LOCALHOST = "/invoice/api/v6/GetOrderInfoAndInvoiceInfo";
    public static String ADD_INVOICE_RESULT_METHOD = "GetOrderInfoAndInvoiceInfo";

    // 发票详情拉取
    public static String QUERY_INVOICE = "order-api/order-api/v6/GetOrderInfoAndInvoiceInfo";
    public static String QUERY_INVOICE_LOCALHOST = "/invoice/api/v6/GetOrderInfoAndInvoiceInfo";
    public static String QUERY_INVOICE_METHOD = "GetOrderInfoAndInvoiceInfo";


    // 红字信息表上传
    public static String REDINFO_UPLOAD = "order-api/order-api/v6/AllocateRedInvoiceApplication";
    public static String REDINFO_UPLOAD_LOCALHOST = "/invoice/api/v6/AllocateRedInvoiceApplication";
    public static String REDINFO_UPLOAD_METHOD = "AllocateRedInvoiceApplication";

    public static String REDINFO_DOWNLOAD = "order-api/order-api/v6/DownloadRedInvoiceApplicationResult";
    public static String REDINFO_DOWNLOAD_LOCALHOST = "/invoice/api/v6/DownloadRedInvoiceApplicationResult";
    public static String REDINFO_DOWNLOAD_METHOD = "DownloadRedInvoiceApplicationResult";
    public static String REDINFO_FIND_LOCALHOST = "/invoice/api/v6/GetRedInvoiceApplication";
    public static String REDINFO_FIND_METHOD = "GetRedInvoiceApplication";


    // 数电-生成动态二维码
    public static String GEN_DYNAMIC_CODE_LOCALHOST = "/invoice/api/v6/GenerateDynamicCode";
    public static String GEN_DYNAMIC_CODE_METHOD = "GenerateDynamicCode";

    // 数电-红字确认单列表查询
    public static String QUERY_RED_CONFIRMATION_LIST_LOCALHOST = "/invoice/api/v6/QueryRedConfirmationList";
    public static String QUERY_RED_CONFIRMATION_LIST_METHOD = "QueryRedConfirmationList";

    // 数电-红字确认单明细查询
    public static String QUERY_RED_CONFIRMATION_ITEM_LIST_LOCALHOST = "/invoice/api/v6/QueryRedConfirmationItemList";
    public static String QUERY_RED_CONFIRMATION_ITEM_LIST_METHOD = "QueryRedConfirmationItemList";

    // 数电-红字确认单申请
    public static String RED_CONFIRMATION_LOCALHOST = "/invoice/api/v6/RedConfirmationApply";
    public static String RED_CONFIRMATION_METHOD = "RedConfirmationApply";

    // 数电-红字确认单确认
    public static String RED_CONFIRMATION_CONFIRM_LOCALHOST = "/invoice/api/v6/RedConfirmationConfirm";
    public static String RED_CONFIRMATION_CONFIRM_METHOD = "RedConfirmationConfirm";

    // 数电-数电登录接口
    public static String RPA_LOGIN_LOCALHOST = "/invoice/api/v6/RpaLogin";
    public static String RPA_LOGIN_METHOD = "RpaLogin";

// 数电-数电获取实名认证二维码接口(数电专用接口)
    public static String GET_RPA_QY_CODE_LOCALHOST = "/invoice/api/v6/GetRpaQrCode";
    public static String GET_RPA_QY_CODE_METHOD = "GetRpaQrCode";

    // 数电-数电实名认证状态查询接口(数电专用接口)
    public static String GET_RPA_AUTH_STATUS_LOCALHOST = "/invoice/api/v6/GetRpaAuthStatus";
    public static String GET_RPA_AUTH_STATUS_METHOD = "GetRpaAuthStatus";

    // V6-邮箱交付接口，京东云
    public static String MAIL_DELIVERY_LOCALHOST = "/invoice/api/v6/MailDelivery";
    public static String MAIL_DELIVERY_METHOD = "MailDelivery";

    // 数电-发票平台电子税局账号查询接口(数电专用接口)
    public static String QUERY_RPA_TAX_ACCOUNT_LOCALHOST = "/invoice/api/v6/QueryRpaTaxAccount";
    public static String QUERY_RPA_TAX_ACCOUNT_METHOD = "QueryRpaTaxAccount";





    // 发票作废
    public static String DEPRECATE_INVOICE = "order-api/order-api/V5/DeprecateInvoices";
    public static String DEPRECATE_INVOICE_LOCALHOST = "/invoice/api/V5/DeprecateInvoices";
    public static String DEPRECATE_INVOICE_METHOD = "DeprecateInvoices";

    // 发票作废结果查询
    public static String DEPRECATE_INVOICE_RESULT = "order-api/order-api/v6//QueryInvalidInvoice";
    public static String DEPRECATE_INVOICE_RESULT_LOCALHOST = "/invoice/api/v6//QueryInvalidInvoice";
    public static String DEPRECATE_INVOICE_RESULT_METHOD = "order-api/order-api/v6//QueryInvalidInvoice";

    // 打印机查询
    public static String QUERY_PRINTER = "";
    public static String QUERY_PRINTER_LOCALHOST = "/invoice/api/v6/QueryPrinter";
    public static String QUERY_PRINTER_METHOD = "QueryPrinter";

    // 批量打印
    public static String BATCH_PRINT = "";
    public static String BATCH_PRINT_LOCALHOST = "/invoice/api/v5/PrintInvoice";
    public static String BATCH_PRINT_METHOD = "PrintInvoice";


    // 发票余量查询接口
    public static String QUERY_INVOICE_STORE = "order-api/order-api/v6/QueryInvoiceStore";


    /**
     * 发票专用章生成
     */
    public static String SIGN_CREATE = "eseal/v1/create";

    /**
     * 发票专用章导入注册
     */
    public static String SIGN_REGISTER = "eseal/v1/register";

    /**
     * 发票签章
     */
    public static String SIGN = "eseal/v1/sign";

}
