package com.jianshui.invoice.domain.dto.api;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotEmpty;

/**
 * 短信交付
 */
@Data
public class InvoiceMailDeliveryDTO {

    @ApiModelProperty(value = "邮件地址")
    @NotEmpty
    private String emailAddress;

    @ApiModelProperty(value = "发票请求流水号")
    @NotEmpty
    private String fpqqlsh;

    @ApiModelProperty(value = "税号")
    @NotEmpty
    private String taxNo;



}
