package com.jianshui.invoice.domain.dto.api.aisino.console;

import cn.hutool.core.annotation.Alias;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotEmpty;

/**
 * 红字上传子表
 * @author kk
 * @date 2023年02月27日 10:57
 */
@Data
public class AisinoConsoleInvoiceRedUploadChildDTO {

    @Alias("goodName")
    @NotEmpty
    @ApiModelProperty(value = "商品名称")
    private String GoodsName;

    @Alias("unit")
    @ApiModelProperty(value = "计量单位")
    private String GoodsUnit;

    @Alias("spec")
    @ApiModelProperty(value = "规格型号")
    private String GoodsGgxh;

    @Alias("price")
    @ApiModelProperty(value = "单价")
    private String GoodsPrice;

    @Alias("num")
    @ApiModelProperty(value = "数量")
    private String GoodsNum;

    @Alias("taxfreeamt")
    @NotEmpty
    @ApiModelProperty(value = "金额")
    private String GoodsJE;

    @Alias("taxrate")
    @NotEmpty
    @ApiModelProperty(value = "税率")
    private String GoodsTaxRate;

    @Alias("tax")
    @NotEmpty
    @ApiModelProperty(value = "税额")
    private String GoodsSE;

    @Alias("withTaxFlag")
    @NotEmpty
    @ApiModelProperty(value = "含税标志")
    private String HS_BZ;

    @Alias("spbm")
    @NotEmpty
    @ApiModelProperty(value = "商品编码")
    private String SPBM;

    @Alias("spbm")
    @ApiModelProperty(value = "企业商品编码")
    private String QYSPBM;

    @Alias("yhzcbs")
    @NotEmpty
    @ApiModelProperty(value = "是否使用优惠政策标识")
    private String SYYHZCBZ;

    @Alias("zzstsgl")
    @ApiModelProperty(value = "优惠政策名称")
    private String YHZC;

    @Alias("lslbs")
    @ApiModelProperty(value = "零税率标识")
    private String LSLBZ;


}
