package com.jianshui.invoice.domain.dto.api.jcsk.add;

import cn.hutool.core.annotation.Alias;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotEmpty;

/**
 * 发票开具 1 DTO
 * @author kk
 * @date 2022年12月09日 17:16
 */
@Data
public class InvoiceAllAddTwoDTO {

    @NotEmpty
    @ApiModelProperty(value = "true")
    private String async;

    @NotEmpty
    @ApiModelProperty(value = "办税人身份证号")
    private String bsrysfzjhm;

    @NotEmpty
    @ApiModelProperty(value = "*地区编码(参考码表)")
    private String dqbm;

    @NotEmpty
    @ApiModelProperty(value = "纳税人识别号=销方企业税号")
    @Alias("saletaxnum")
    private String nsrsbh;

    @ApiModelProperty(value = "lzfpkj")
    private String serviceId;

    InvoiceAllAddInfoTwoDTO jsonData;

    // 2023/3/9  新增字段
    @ApiModelProperty(value = "放弃享受减按1%征收率原因")
    private String kjlx;

    @ApiModelProperty(value = "出行人")
    private String cxr;

    @ApiModelProperty(value = "出行人证件类型")
    private String cxrzjlx;

    @ApiModelProperty(value = "出行人证件号码")
    private String cxrzjhm;

    @ApiModelProperty(value = "出行日期")
    private String cxrq;

    @ApiModelProperty(value = "出发地")
    private String cfd;

    @ApiModelProperty(value = "到达地")
    private String ddd;

    @ApiModelProperty(value = "交通工具类型")
    private String jtgjlx;

    @ApiModelProperty(value = "等级")
    private String dengj;

    @ApiModelProperty(value = "货物运输服务")
    private String hwysfw;

    @ApiModelProperty(value = "起运地")
    private String qyd;

    @ApiModelProperty(value = "运输工具号牌")
    private String ysgjhp;

    @ApiModelProperty(value = "运输工具种类")
    private String ysgjzl;

    @ApiModelProperty(value = "运输货物名称")
    private String yshwmc;






























}
