package com.jianshui.invoice.domain.dto.yuande;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.jianshui.invoice.domain.yuande.Invoiceformitem;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

@Data
public class YuandeInvoiceFormDTO implements Serializable {

    private static final long serialVersionUID = 1L;

    //记录Id
    private String id;

    //开票人（固定值）
    private String[] owner = {"FSUID_5DCF10DE85AA29CF6ECF414C2F22F669"};

    //对象名称（固定值）
    private String dataObjectApiName = "Invoiceform__c";

    //客户名称
    private String customer__c;

    //订单编号
    private String salesorderid__c;

    //发票抬头
    private String fptt__c;

    //开户银行
    private String fkdwkhyh__c;

    //银行账号
    private String fkdwyhzh__c;

    //地址
    private String fkdwdz__c;

    //电话
    private String fkdwdh__c;

    //税号
    private String tyshxydm__c;

    @JsonFormat(pattern = "yyyy-MM-dd")
    //开票日期
    private Date kprq__c;

    //发票号码
    private String fphm__c;

    //备注
    private String field_91Rds__c;

    //税率：百分比暂时
    private BigDecimal taxrate__c;

    //关联明细表
    private List<Invoiceformitem> invoiceformitems;
}
