package com.jianshui.invoice.service;


import com.alibaba.fastjson.JSONObject;
import com.jianshui.common.core.domain.entity.Companyservice;

import javax.servlet.ServletRequest;
import javax.servlet.http.HttpServletRequest;

/**
 * 入口报文服务类
 */
public interface IInvoiceRequestService {


    /**
     * 解密函数
     *
     * @param request
     * @param companyservice
     * @return
     */
    public JSONObject decrypt(HttpServletRequest request, Companyservice companyservice, String serviceKey);
    public JSONObject decryptZq(String identity,String order, Companyservice companyservice, String serviceKey);

    /**
     * 根据用户传入的请求方式，返回我们系统对应的请求方式
     *
     * @param method
     * @return
     */
    public String covertMethodName(String method);
}
