package com.jianshui.platform.dto;


import com.jianshui.common.core.page.PageDomain;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.sql.Date;

/**
* @Author: kk
* @Description: 单据管理查询
* @DateTime: 2023/6/12 10:48
* @Params:
* @Return
*/
@Data
@ApiModel("单据管理查询")
public class DocumentListQueryPDTO extends PageDomain {

    @ApiModelProperty(value = "单据类型")
    private String billType;

    @ApiModelProperty(value = "单据状态")
    private Integer state;

    @ApiModelProperty(value = "单据编号")
    private String fpqqlsh;

    @ApiModelProperty(value = "单据开始日期")
    private Date startTime;

    @ApiModelProperty(value = "单据结束日期")
    private Date endTime;

    @ApiModelProperty(value = "客户税号")
    private String buyerTaxnum;

    @ApiModelProperty(value = "客户名称")
    private String buyerName;


    
}
