package com.jianshui.platform.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import io.swagger.annotations.ApiOperation;
import lombok.Data;

import javax.validation.constraints.NotEmpty;

/**
 * @Author: xingze
 * @Description: 发票交付JsonData实体类
 * @CreateTime: 2023-06-06  10:35
 * @Version: 1.0
 **/
@ApiModel("发票交付JsonData")
@Data
public class InvoiceDeliveryJsonDataDTO {

    @NotEmpty
    @ApiModelProperty("交付类型")
    private String jflx;

    @NotEmpty
    @ApiModelProperty("发票号码")
    private String fphm;

    @NotEmpty
    @ApiModelProperty("购买方联系电话")
    private String gmflxdh;

    @NotEmpty
    @ApiModelProperty("购买方邮箱")
    private String gmfyx;
}
