package com.jianshui.platform.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import javax.validation.constraints.NotNull;
import java.math.BigDecimal;

/**
 * @Author: kane
 * @Description: 金额税额计算类
 * @CreateTime: 2023-06-07  17:36
 * @Version: 1.0
 **/
@ApiModel("金额税额计算")
@Data
public class TaxCalculateDTO {
    @NotNull
    @ApiModelProperty("发票id")
    private Integer id;

    @NotNull
    @ApiModelProperty("数量")
    private BigDecimal number;
    @NotNull
    @ApiModelProperty("单价")
    private BigDecimal unitPrice;
    @NotNull
    @ApiModelProperty("税率")
    private BigDecimal taxRate;

}
