package com.jianshui.platform.vo;


import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

/**
* @Author: kk
* @Description: 发票可复制列表
* @DateTime: 2023/6/12 10:49
* @Params:
* @Return
*/
@Data
@ApiModel("发票可复制列表")
public class InvoiceCopyBillinfoListPVO {

    @ApiModelProperty(value = "发票代码")
    private String fpdm;

    @ApiModelProperty(value = "发票号码")
    private String fphm;

    @ApiModelProperty(value = "发票类型")
    private String invoiceType;

    @ApiModelProperty(value = "购方名称")
    private String buyerName;

    @ApiModelProperty(value = "购方税号")
    private String buyerTaxnum;

    @ApiModelProperty(value = "销方名称")
    private String sellerName;

    @ApiModelProperty(value = "销方税号")
    private String sellerTaxnum;

    @ApiModelProperty(value = "未税金额")
    private BigDecimal taxfreeamt;

    @ApiModelProperty(value = "税额")
    private BigDecimal tax;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "开票日期")
    private Date kprq;


    
}
