package com.jianshui.platform.vo.invoicered;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

/**
 * @Author: kane
 * @Description: 红字信息查询返回类
 * @CreateTime: 2023-06-26  09:51
 * @Version: 1.0
 **/
@Data
@ApiModel("红字信息查询返回结果")
public class FindRedWordVO {

    @ApiModelProperty("主键id 红字信息id")
    private Long id;
    @ApiModelProperty("信息表编号")
    private String redInfoNo;

    @ApiModelProperty("信息表状态")
    private String redInfoStatus;


    @ApiModelProperty("信息表描述")
    private String redInfoMessage;


    @ApiModelProperty("发票代码")
    private String originFpdm;


    @ApiModelProperty("发票号码")
    private String originFphm;

    @ApiModelProperty("开票机号")
    private String kpjh;

    @ApiModelProperty("购方名称")
    private String buyerName;


    @ApiModelProperty("购方税号")
    private String buyerTaxnum;


    @ApiModelProperty("销方名称")
    private String sellerName;


    @ApiModelProperty("销方税号")
    private String sellerTaxnum;


    @ApiModelProperty("填开日期")
    private String billInputTime;

    @ApiModelProperty("所属月份")
    private String ssyf;


    @ApiModelProperty("合计税额")
    private BigDecimal taxfreeamt;


    @ApiModelProperty("税率")
    private BigDecimal taxrate;


    @ApiModelProperty("合计税额")
    private BigDecimal tax;

    @ApiModelProperty("经办人")
    private String jbr;

    @ApiModelProperty("申请选择")
    private String sqxz;


    @ApiModelProperty("申请方税号")
    private String reqnsrsbh;


    @ApiModelProperty("设备编号")
    private String jspbh;

}
